Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Types | Protected Member Functions
DL_Base< KI > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for DL_Base< KI >:

List of all members.

## Protected Types

typedef KI | KeyInterface
typedef KI::Element | Element

## Protected Member Functions

const DL_GroupParameters < Element > & | GetAbstractGroupParameters () const
DL_GroupParameters< Element > & | AccessAbstractGroupParameters ()
virtual KeyInterface & | AccessKeyInterface ()=0
virtual const KeyInterface & | GetKeyInterface () const =0

## Detailed Description

### template<class KI>
class DL_Base< KI >

_

Definition at line 947 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h